UNIT benutzer;

INTERFACE

 TYPE messbereiche = INTEGER;

 PROCEDURE MaskeAufbauen;
 PROCEDURE SensErfragen (VAR bereich    : messbereiche);
 PROCEDURE Frage        (VAR endewunsch : BOOLEAN);

IMPLEMENTATION {-------------------------------------------------------------}

 USES CRT;     { es wird importiert:
                 GOTOXY (X, Y);
                 CLRSCR;
                 TEXTBACKGROUND (COLOR);
                 TEXTCOLOR      (COLOR);
                 KEYPRESSED;
                 READKEY;                                                    }

 VAR zeichen     : CHAR;
     endewunsch  : BOOLEAN;
     bereich     : messbereiche;
     neustart    : BOOLEAN;

 PROCEDURE OutTextXY(x,y : INTEGER;text : STRING);
 BEGIN
   GOTOXY (x, y); WRITE (text);
 END;

 PROCEDURE Normal;
 BEGIN
   TEXTBACKGROUND (LIGHTGRAY);
   TEXTCOLOR      (BLACK);
 END;

 PROCEDURE Invers;
 BEGIN
   TEXTBACKGROUND (BLACK);
   TEXTCOLOR      (LIGHTGRAY);
 END;

 PROCEDURE MaskeAufbauen;
 VAR zaehler:INTEGER;
 BEGIN
   CLRSCR;
   normal;
   {*********** Rahmen erstellen *************}
   OutTextXY (1,1,' ');
   OutTextXY (78,1,'');
   GOTOXY    (3,1);
   FOR zaehler := 1 TO 75 DO WRITE ('');
   GOTOXY    (1,2);
   FOR zaehler := 2 TO 24 DO
   BEGIN
     GOTOXY (1, zaehler);
     WRITE  ('  ');
     GOTOXY (78, zaehler);
     WRITE  ('');
   END;
   OutTextXY (1, 25, ' ');
   OutTextXY (78,25, '');
   GOTOXY (3, 25);
   FOR zaehler := 1 TO 75 DO WRITE ('');
   {******************************************}
   OutTextXY (08,10, 'aktueller');
   OutTextXY (08,11, 'Messbereich:');
   OutTextXY (42,11, 'Messwert :');
   OutTextXY (55,10, 'ͻ');
   OutTextXY (55,11, '            V');
   OutTextXY (55,12, 'ͼ');
   OutTextXY (42,14, 'Messbereich         ͻ');
   OutTextXY (42,15, 'berschritten :        ');
   OutTextXY (42,16, '                    ͼ');
   OutTextXY (11,21, 'Messbereich whlen mit 1..4,  Programm beenden mit "ESC"');
 END;


 PROCEDURE SensErfragen (VAR bereich : messbereiche);
 BEGIN
   zeichen := ' ';                             { Eingabe Tastaturpuffer leeren }
   IF neustart
    THEN BEGIN
         bereich := 4;
            OutTextXY (23,09,'Ŀ');
            OutTextXY (23,10,' 0,3 V   1  ');
            OutTextXY (23,11,'Ĵ');
            OutTextXY (23,12,'  1  V   2  ');
            OutTextXY (23,13,'Ĵ');
            OutTextXY (23,14,'  3  V   3  ');
            invers;
            OutTextXY (23,15,'Ĵ');
            OutTextXY (23,16,'  10 V   4  ');
            OutTextXY (23,17,'');
            normal;
            neustart := FALSE;
          END
    ELSE
  IF KEYPRESSED THEN
  BEGIN
   zeichen := READKEY;
   {                                IF zeichen = #0 THEN zeichen := READKEY; }
   {                  Vorbereitung fr die Benutzung der Cursorsteuertasten  }
   CASE zeichen OF
    '1' : BEGIN
            bereich := 1;
            invers;
            OutTextXY (23,09,'Ŀ');
            OutTextXY (23,10,' 0,3 V   1  ');
            OutTextXY (23,11,'Ĵ');
            normal;
            OutTextXY (23,12,'  1  V   2  ');
            OutTextXY (23,13,'Ĵ');
            OutTextXY (23,14,'  3  V   3  ');
            OutTextXY (23,15,'Ĵ');
            OutTextXY (23,16,'  10 V   4  ');
            OutTextXY (23,17,'');
          END;
    '2' : BEGIN
            bereich := 2;
            OutTextXY (23,09,'Ŀ');
            OutTextXY (23,10,' 0,3 V   1  ');
            invers;
            OutTextXY (23,11,'Ĵ');
            OutTextXY (23,12,'  1  V   2  ');
            OutTextXY (23,13,'Ĵ');
            normal;
            OutTextXY (23,14,'  3  V   3  ');
            OutTextXY (23,15,'Ĵ');
            OutTextXY (23,16,'  10 V   4  ');
            OutTextXY (23,17,'');
          END;
    '3' : BEGIN
            bereich := 3;
            OutTextXY (23,09,'Ŀ');
            OutTextXY (23,10,' 0,3 V   1  ');
            OutTextXY (23,11,'Ĵ');
            OutTextXY (23,12,'  1  V   2  ');
            invers;
            OutTextXY (23,13,'Ĵ');
            OutTextXY (23,14,'  3  V   3  ');
            OutTextXY (23,15,'Ĵ');
            normal;
            OutTextXY (23,16,'  10 V   4  ');
            OutTextXY (23,17,'');
          END;
    '4' : BEGIN
            bereich := 4;
            OutTextXY (23,09,'Ŀ');
            OutTextXY (23,10,' 0,3 V   1  ');
            OutTextXY (23,11,'Ĵ');
            OutTextXY (23,12,'  1  V   2  ');
            OutTextXY (23,13,'Ĵ');
            OutTextXY (23,14,'  3  V   3  ');
            invers;
            OutTextXY (23,15,'Ĵ');
            OutTextXY (23,16,'  10 V   4  ');
            OutTextXY (23,17,'');
            normal;
          END;
    END; {CASE}
  END;
END; {PROCEDURE}

 PROCEDURE Frage (VAR endewunsch : BOOLEAN);
 BEGIN
  IF ORD (zeichen) = 27 THEN endewunsch := TRUE ELSE endewunsch := FALSE;
 END;

 BEGIN
   neustart := TRUE;
   endewunsch := FALSE;
   normal;
   CLRSCR;
 END.